Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile
Class Arc2ISO

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.Arc2ISO

    public class Arc2ISO

extends Object

Version:
  $Revision: 6259 $, $Revision: 6259 $, $Date: 2007-03-20 10:15:15 +0100 (Di, 20 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: bezema $

Constructor Summary
`Arc2ISO()`

Method Summary
`static String` | `formatCoord(Node node)` formats a number to a String formatted: ###
`static String` | `getCharacterSetCode(Node node)` returns the CharacterSetCode value matching the passed CharacterSetCode ID
`static String` | `getDateTypeCode(Node node)` returns the date type code value matching the passed date type code ID
`static String` | `getGeometricObjectTypeCode(Node node)` returns the GeometricObjectTypeCode value matching the passed ESRI efeageom value
`static String` | `getISODate(Node node)` transforms a esri arc catalog date into a ISO8601 date format
`static String` | `getISODate2(Node node)` transforms a esri arc catalog date into a ISO8601 date format
`static String` | `getISOTime(Node node)` transforms a esri arc catalog date into a ISO8601 date format
`static String` | `getMaintenanceCode(Node node)` returns the role security code value matching the passed security code ID
`static String` | `getMediumFormatCode(Node node)` returns the MediumFormatCode value matching the passed MediumFormatCode
`static String` | `getMediumNameCode(Node node)` returns the MediumNameCode value matching the passed MediumNameCode
`static String` | `getProgressCode(Node node)` returns the ProgressCode value matching the passed progressCode
`static String` | `getRoleCode(Node node)` returns the role code value matching the passed role code ID
`static String` | `getSecurityCode(Node node)` returns the role security code value matching the passed security code ID
`static String` | `getTopCatTypeCode(Node node)` returns the topic category code value matching the passed topic category code ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arc2ISO

    public Arc2ISO()

Method Detail

### getISODate

    public static String getISODate(Node node)

  transforms a esri arc catalog date into a ISO8601 date format

  Parameters:
    `node` -
  Returns:
    the date string

### getISODate2

    public static String getISODate2(Node node)

  transforms a esri arc catalog date into a ISO8601 date format

  Parameters:
    `node` -
  Returns:
    the date string

### getISOTime

    public static String getISOTime(Node node)

  transforms a esri arc catalog date into a ISO8601 date format

  Parameters:
    `node` -
  Returns:
    the date string

### getRoleCode

    public static String getRoleCode(Node node)

  returns the role code value matching the passed role code ID

  Parameters:
    `node` -
  Returns:
    the code

### getSecurityCode

    public static String getSecurityCode(Node node)

  returns the role security code value matching the passed security code ID

  Parameters:
    `node` -
  Returns:
    the role security code value matching the passed security code ID

### getMaintenanceCode

    public static String getMaintenanceCode(Node node)

  returns the role security code value matching the passed security code ID

  Parameters:
    `node` -
  Returns:
    the role security code value matching the passed security code ID

### getGeometricObjectTypeCode

    public static String getGeometricObjectTypeCode(Node node)

  returns the GeometricObjectTypeCode value matching the passed ESRI efeageom value

  Parameters:
    `node` -
  Returns:
    the GeometricObjectTypeCode value matching the passed ESRI

### getDateTypeCode

    public static String getDateTypeCode(Node node)

  returns the date type code value matching the passed date type code ID

  Parameters:
    `node` -
  Returns:
    the date type code value matching the passed date type code ID

### getTopCatTypeCode

    public static String getTopCatTypeCode(Node node)

  returns the topic category code value matching the passed topic category code ID. As default 'geoscientificInformation' will be returned if passed node is null.

  Parameters:
    `node` -
  Returns:
    the topic category code value matching the passed topic category code ID. As default 'geoscientificInformation' will be returned if passed node is null.

### getCharacterSetCode

    public static String getCharacterSetCode(Node node)

  returns the CharacterSetCode value matching the passed CharacterSetCode ID

  Parameters:
    `node` -
  Returns:
    the CharacterSetCode value matching the passed

### formatCoord

    public static String formatCoord(Node node)

  formats a number to a String formatted: ###.##

  Parameters:
    `node` -
  Returns:
    the formatted string

### getProgressCode

    public static String getProgressCode(Node node)

  returns the ProgressCode value matching the passed progressCode

  Parameters:
    `node` -
  Returns:
    the ProgressCode value matching the passed progressCode

### getMediumNameCode

    public static String getMediumNameCode(Node node)

  returns the MediumNameCode value matching the passed MediumNameCode

  Parameters:
    `node` -
  Returns:
    the MediumNameCode value matching the passed MediumNameCode

### getMediumFormatCode

    public static String getMediumFormatCode(Node node)

  returns the MediumFormatCode value matching the passed MediumFormatCode

  Parameters:
    `node` -
  Returns:
    the MediumFormatCode value matching the passed MediumFormatCode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org